Links (Apache Geode 1.15.4)

org.apache.geode.management.configuration

## Class Links

- java.lang.Object
- - org.apache.geode.management.configuration.Links

-     public class Links
      extends Object

  this keeps all HATEOAS links related to a particular configuration object. only the map (links) is serialized back to the client, nothing get de-serialized.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HREF_PREFIX`
    `static String` | `URI_CONTEXT`
    `static String` | `URI_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Links()`
    `Links(String id, String listUri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLink(String key, String url)` adds the additional HATEOAS links
    `void` | `anySetter(String key, String url)`
    `Map<String,String>` | `getLinks()`
    `String` | `getList()`
    `String` | `getSelf()`
    `void` | `setList(String list)`
    `void` | `setSelf(String self)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HREF_PREFIX

          public static final String HREF_PREFIX

      See Also:
        Constant Field Values

    - #### URI_CONTEXT

          public static final String URI_CONTEXT

      See Also:
        Constant Field Values

    - #### URI_VERSION

          public static final String URI_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Links

          public Links()

    - #### Links

          public Links(String id,
                       String listUri)

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getList

          public String getList()

    - #### setList

          public void setList(String list)

    - #### addLink

          public void addLink(String key,
                              String url)

      adds the additional HATEOAS links
      Parameters:
        `key` - the key at which to add the URL
        `url` - the URL to be added

    - #### anySetter

          public void anySetter(String key,
                                String url)

    - #### getLinks

          public Map<String,String> getLinks()